<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data></data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <Button
            android:id="@+id/btn_back"
            style="@style/Widget.Material3.Button.OutlinedButton"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_margin="20dp"
            android:text="@string/back"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="start"
            android:layout_margin="30dp"
            android:text="调试工具"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent" />

        <LinearLayout
            android:id="@+id/linearLayout11"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_margin="20dp"
            android:layout_marginTop="286dp"
            android:gravity="center_horizontal"
            android:orientation="vertical"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@+id/tv_title">

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="10dp"
                app:cardCornerRadius="15dp"
                app:cardElevation="10dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:gravity="center_vertical"
                    android:orientation="horizontal"
                    android:paddingVertical="10dp"
                    app:layout_constraintBottom_toBottomOf="parent"
                    app:layout_constraintStart_toStartOf="parent"
                    app:layout_constraintTop_toTopOf="parent">

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/til_serial_port"
                        style="@style/Widget.Material3.TextInputLayout.FilledBox.ExposedDropdownMenu"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="10dp"
                        android:layout_weight="1"
                        android:hint="串口">

                        <AutoCompleteTextView
                            android:id="@+id/ac_serial_port"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:inputType="none" />

                    </com.google.android.material.textfield.TextInputLayout>

                    <com.google.android.material.textfield.TextInputLayout
                        android:id="@+id/til_baud"
                        style="@style/Widget.Material3.TextInputLayout.FilledBox.ExposedDropdownMenu"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="10dp"
                        android:layout_weight="1"
                        android:hint="波特率">

                        <AutoCompleteTextView
                            android:id="@+id/ac_baud"
                            android:layout_width="match_parent"
                            android:layout_height="wrap_content"
                            android:inputType="none" />

                    </com.google.android.material.textfield.TextInputLayout>

                    <Button
                        android:id="@+id/btn_link"
                        style="@style/Widget.Material3.Button.OutlinedButton"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="10dp"
                        android:paddingHorizontal="20dp"
                        android:paddingVertical="10dp"
                        android:text="@string/link" />

                    <Button
                        android:id="@+id/btn_unlink"
                        style="@style/Widget.Material3.Button.OutlinedButton"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginHorizontal="10dp"
                        android:enabled="false"
                        android:paddingHorizontal="20dp"
                        android:paddingVertical="10dp"
                        android:text="@string/unlink" />

                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginHorizontal="10dp"
                android:layout_marginBottom="20dp"
                app:cardCornerRadius="10dp"
                app:cardElevation="10dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical"
                    android:padding="10dp">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="center"
                            android:gravity="center"
                            android:text="发送：" />

                        <TextView
                            android:id="@+id/tv_send"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="4" />

                    </LinearLayout>

                    <com.google.android.material.divider.MaterialDivider
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:layout_constraintBottom_toBottomOf="parent" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="center"
                            android:gravity="center"
                            android:text="接收：" />

                        <TextView
                            android:id="@+id/tv_receive"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="4" />

                    </LinearLayout>

                    <com.google.android.material.divider.MaterialDivider
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        app:layout_constraintBottom_toBottomOf="parent" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center"
                        android:orientation="horizontal">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_gravity="center"
                            android:gravity="center"
                            android:text="解析：" />

                        <TextView
                            android:id="@+id/tv_parse"
                            android:layout_width="0dp"
                            android:layout_height="match_parent"
                            android:layout_weight="4" />

                    </LinearLayout>

                </LinearLayout>

            </androidx.cardview.widget.CardView>

            <androidx.cardview.widget.CardView
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_margin="10dp"
                app:cardCornerRadius="15dp"
                app:cardElevation="10dp">
                <ScrollView
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="vertical">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingVertical="10dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <com.google.android.material.textfield.TextInputLayout
                            android:id="@+id/til_sensor_type"
                            style="@style/Widget.Material3.TextInputLayout.FilledBox.ExposedDropdownMenu"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="10dp"
                            android:layout_weight="1"
                            android:hint="设备名">

                            <AutoCompleteTextView
                                android:id="@+id/ac_sensor_type"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:inputType="none" />

                        </com.google.android.material.textfield.TextInputLayout>

                        <com.google.android.material.textfield.TextInputLayout
                            android:id="@+id/til_sensor_model"
                            style="@style/Widget.Material3.TextInputLayout.FilledBox.ExposedDropdownMenu"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="10dp"
                            android:layout_weight="1.1"
                            android:hint="设备型号">

                            <AutoCompleteTextView
                                android:id="@+id/ac_sensor_model"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:inputType="none" />

                        </com.google.android.material.textfield.TextInputLayout>

                        <com.google.android.material.textfield.TextInputLayout
                            android:id="@+id/til_sensor_address"
                            style="@style/Widget.Material3.TextInputLayout.FilledBox.ExposedDropdownMenu"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="10dp"
                            android:layout_weight="0.7"
                            android:hint="设备现地址">

                            <AutoCompleteTextView
                                android:id="@+id/ac_sensor_address"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:inputType="none" />

                        </com.google.android.material.textfield.TextInputLayout>

                        <Button
                            android:id="@+id/btn_read_and_parse"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="10dp"
                            android:paddingHorizontal="20dp"
                            android:paddingVertical="10dp"
                            android:text="测试" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingVertical="10dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <com.google.android.material.textfield.TextInputLayout
                            android:id="@+id/til_new_address"
                            style="@style/Widget.Material3.TextInputLayout.FilledBox.ExposedDropdownMenu"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="10dp"
                            android:layout_weight="1"
                            android:hint="新地址">

                            <AutoCompleteTextView
                                android:id="@+id/ac_new_address"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:inputType="none" />

                        </com.google.android.material.textfield.TextInputLayout>

                        <Button
                            android:id="@+id/btn_set_new_address"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="10dp"
                            android:layout_weight="1"
                            android:paddingHorizontal="20dp"
                            android:paddingVertical="10dp"
                            android:text="修改为新地址" />

                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:orientation="horizontal"
                        android:paddingVertical="10dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <com.google.android.material.textfield.TextInputLayout
                            android:id="@+id/til_new_baud"
                            style="@style/Widget.Material3.TextInputLayout.FilledBox.ExposedDropdownMenu"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="10dp"
                            android:layout_weight="1"
                            android:hint="新波特率">

                            <AutoCompleteTextView
                                android:id="@+id/ac_new_baud"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:inputType="none" />

                        </com.google.android.material.textfield.TextInputLayout>

                        <Button
                            android:id="@+id/btn_set_new_baud"
                            style="@style/Widget.Material3.Button.OutlinedButton"
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_marginHorizontal="10dp"
                            android:layout_weight="1"
                            android:paddingHorizontal="20dp"
                            android:paddingVertical="10dp"
                            android:text="修改为新波特率" />

                    </LinearLayout>

                    <TextView
                        android:textSize="15sp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:layout_marginVertical="10dp"
                        android:text="修改“空调红外控制器”的“波特率”，重启后生效"
                        android:textColor="@color/red" />

                    <TextView
                        android:textSize="15sp"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginStart="20dp"
                        android:layout_marginVertical="10dp"
                        android:text="修改“继电器”的“地址”与“波特率”，重启后生效"
                        android:textColor="@color/red" />

                </LinearLayout>

                </ScrollView>

            </androidx.cardview.widget.CardView>
        </LinearLayout>

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
